## flvmeta 1.1~r230

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(flvmeta C)

set(FLVMETA_VERSION "1.1")

# check whether we're in an instable branch
string(REGEX MATCH "^[0-9]+\\.([0-9]+)" MATCHES "${FLVMETA_VERSION}")
if(MATCHES)
  math(EXPR FLVMETA_MINOR_ODD "${CMAKE_MATCH_1} % 2")
  if(FLVMETA_MINOR_ODD)
  # if so, check for svnversion, and retrieve current revision
    find_program(SVNVERSION_FOUND "svnversion")
    if(SVNVERSION_FOUND)
      execute_process(COMMAND           svnversion -n
                      WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
                      OUTPUT_VARIABLE   SVNVERSION)
      string(REGEX MATCH "^[0-9]+$" SVNVERSION_IS_NUMERIC "${SVNVERSION}")
      if(SVNVERSION_IS_NUMERIC)
        # if we have a numeric revision, use it as release number
        set(FLVMETA_VERSION "${FLVMETA_VERSION}-r${SVNVERSION}")
      endif(SVNVERSION_IS_NUMERIC)
    endif(SVNVERSION_FOUND)
  endif(FLVMETA_MINOR_ODD)
endif(MATCHES)

# generic variables
set(PACKAGE           "flvmeta")
set(PACKAGE_NAME      ${PACKAGE})
set(PACKAGE_BUGREPORT "flvmeta-discussion@googlegroups.com")
set(PACKAGE_VERSION   "${FLVMETA_VERSION}")
set(PACKAGE_STRING    "${PACKAGE_NAME} ${PACKAGE_VERSION}")

#platform tests
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckTypeSize)
include(TestBigEndian)

check_include_file(sys/types.h  HAVE_SYS_TYPES_H)
check_include_file(stdint.h     HAVE_STDINT_H)
check_include_file(stddef.h     HAVE_STDDEF_H)
check_include_file(inttypes.h   HAVE_INTTYPES_H)

check_type_size("double"      SIZEOF_DOUBLE)
check_type_size("float"       SIZEOF_FLOAT)
check_type_size("long double" SIZEOF_LONG_DOUBLE)

if(WIN32)
  add_definitions(-D_FILE_OFFSET_BITS=64)
endif(WIN32)

# MSVC before VS 2010 did not have stdint.h
if(MSVC AND NOT HAVE_STDINT_H)
  set(int16_t  1)
  set(int32_t  1)
  set(int64_t  1)
  set(int8_t   1)
  set(uint16_t 1)
  set(uint32_t 1)
  set(uint64_t 1)
  set(uint8_t  1)
endif(MSVC AND NOT HAVE_STDINT_H)

test_big_endian(IS_BIGENDIAN)
if(IS_BIGENDIAN)
  set(WORDS_BIGENDIAN 1)
endif(IS_BIGENDIAN)

# large file support
check_function_exists("fseeko" HAVE_FSEEKO)
if(HAVE_FSEEKO)
  execute_process(COMMAND getconf LFS_CFLAGS
    OUTPUT_VARIABLE LFS_CFLAGS)
  if(LFS_CFLAGS)
    add_definitions(${LFS_CFLAGS})
  endif(LFS_CFLAGS)
endif(HAVE_FSEEKO)

# configuration file
configure_file(config-cmake.h.in ${CMAKE_BINARY_DIR}/config.h)
include_directories(${CMAKE_BINARY_DIR})
add_definitions(-DHAVE_CONFIG_H)

# Visual C++ specific configuration
if(MSVC)
  # use static library
  set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /MT")
  
  # C runtime deprecation in Visual C++ 2005 and later
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)
endif(MSVC)

# installation
set(CPACK_PACKAGE_VENDOR "Marc Noirot <marc.noirot@gmail.com>")
set(CPACK_SOURCE_IGNORE_FILES "/build.*;/CVS/;/\\\\.svn/;/\\\\.bzr/;/\\\\.hg/;/\\\\.git/;\\\\.swp$;\\\\.#;/#")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "flvmeta-${PACKAGE_VERSION}-src")

if(WIN32)
  if (CMAKE_CL_64)
    set(EXECUTABLE_TYPE "64")
  else(CMAKE_CL_64)
    set(EXECUTABLE_TYPE "32")
  endif(CMAKE_CL_64)

  set(CPACK_PACKAGE_FILE_NAME "flvmeta-${PACKAGE_VERSION}-win${EXECUTABLE_TYPE}")
  set(CPACK_GENERATOR ZIP)
  install(FILES ${CMAKE_SOURCE_DIR}/README  DESTINATION . RENAME Readme.txt)
  install(FILES ${CMAKE_SOURCE_DIR}/COPYING DESTINATION . RENAME License.txt)
  install(FILES ${CMAKE_SOURCE_DIR}/NEWS    DESTINATION . RENAME Changelog.txt)
else(WIN32)
  set(CPACK_PACKAGE_FILE_NAME "flvmeta-${PACKAGE_VERSION}")
endif(WIN32)

include(CPack)

add_subdirectory(src)

# tests
#enable_testing()
#add_subdirectory(tests)

## flvmeta 1.0.11

=== debian/changelog ===
flvmeta (1.0.11-1) unstable; urgency=low

  * Initial release (Closes: #520900).

 -- Neutron Soutmun <neo.neutron@gmail.com>  Fri, 11 Feb 2011 23:54:06 +0700

=== debian/control ===
Source: flvmeta
Section: video
Priority: extra
Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/flvmeta/

Package: flvmeta
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Metadata injector for FLV video files 
 flvmeta has the ability to inject all standard metadata tags into the
 onMetaData event, as well as insert an onLastSecond event.
 .
 It is also pretty fast and has a very small memory footprint, making it ideal
 for use as an automated tool on server environments.

=== debian/watch ===
version=3

http://code.google.com/p/flvmeta/downloads/list?can=3 .*/flvmeta-(.*)\.tar.gz debian uupdate

## flvmeta 1.1~r230

=== debian/changelog ===
flvmeta (1.1~r230-1) experimental; urgency=low

  * Imported Upstream version 1.1~r230
  * debian/flvmeta.1:
    - Add new Dump options -e, --event.
    - Update wording as upstream changes.
  * debian/patches/90-typo-fix.patch:
    - Drop, fixed in upstream.
  * debian/patches/series:
    - Drop, no patches.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Fri, 24 Jun 2011 00:29:07 +0700

flvmeta (1.1~r221-1) experimental; urgency=low

  * Imported Upstream version 1.1~r221
  * Drop flvdump manpage.
      * debian/flvdump.1:
        - Drop as the flvdump has been merged to flvmeta in the upstream.
      * debian/manpages:
        - Drop flvdump manpage.
  * Update flvmeta manpage.
      * debian/flvmeta.1:
        - Update as upstream has been changed, more options and functions added.
  * Add Vcs-Git, Vcs-Browser.
      * debian/control:
        - Add Vcs-Git, Vcs-Browser.
  * Update upstream copyright year.
      * debian/copyright:
        - Update upstream copyright year.
  * Add .gitignore.
      * .gitignore:
        - Ignore to include .pc/ in the repository.
  * Add 90-typo-fix.patch.
      * debian/patches/series, debian/patches/90-typo-fix.patch:
        - Add 90-typo-fix.patch, fix the typo in the upstream source to make
          lintian happy and then forwarded to upstream.
  * Fix lintian warning in manpage.
      * debian/flvmeta.1:
        - Fix lintian warning "spelling-error-in-manpage". Fix typo "ommitted"
          to "omitted".
        - Fix lintian warning "hyphen-used-as-minus-sign". Therefore, "-" must
          be escaped ("\-").
  * Update Standards-Version to 3.9.2.
      * debian/control:
        - Update Standards-Version to 3.9.2, no changes needed.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Sun, 24 Apr 2011 14:09:23 +0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: extra
 Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/collab-maint/flvmeta.git
+Vcs-Browser: http://alioth.debian.org/anonscm/git/collab-maint/flvmeta.git/
 Homepage: http://code.google.com/p/flvmeta/
 
 Package: flvmeta

## flvmeta 1.1~r235

=== src/CMakeLists.txt ===
set(flvmeta_src
  amf.c
  amf.h
  avc.c
  avc.h
  check.c
  check.h
  dump.c
  dump.h
  dump_json.c
  dump_json.h
  dump_raw.c
  dump_raw.h
  dump_xml.c
  dump_xml.h
  dump_yaml.c
  dump_yaml.h
  flv.c
  flv.h
  flvmeta.c
  flvmeta.h
  info.c
  info.h
  json.c
  json.h
  types.c
  types.h
  update.c
  update.h
  util.c
  util.h
  ${CMAKE_BINARY_DIR}/config.h
)

# add support for getopt and gettext in windows
if(WIN32)
  set(flvmeta_src
    ${flvmeta_src}
    compat/getopt1.c
    compat/getopt.c
    compat/getopt.h
    compat/gettext.h
    compat/win32_tmpfile.c
    compat/win32_tmpfile.h
  )
  include_directories(compat)
endif(WIN32)

# libyaml

# static build
if (WIN32)
  add_definitions(-DYAML_DECLARE_STATIC)
endif (WIN32)

include_directories(libyaml)
add_subdirectory(libyaml)

add_executable(flvmeta ${flvmeta_src})
target_link_libraries(flvmeta yaml)

if(WIN32)
  install(TARGETS flvmeta
    RUNTIME DESTINATION .)
else(WIN32)
  install(TARGETS flvmeta
    RUNTIME DESTINATION bin)
endif(WIN32)

=== debian/changelog ===
flvmeta (1.1~r235-2) experimental; urgency=low

  * Use wrap-and-sort tool and re-wrap lines in debian copyright
  * Update watch file
    * debian/watch:
      - Add dversionmangle option.
      - Update the http url.
  * Drop roff documentation from manpage
  * Update patch description
    * debian/patches/01-use-system-libs.patch:
      - Add forwarded url.
  * Add compiler warning fix patch
    * debian/patches/03-update-json-compiler-warning-prix64.patch:
      - Add patch. (Forwarded upstream)
    * debian/patches/series:
      - Add patch to series.

 -- Neutron Soutmun <neo.neutron@gmail.com>  Wed, 23 Nov 2011 13:12:07 +0700

flvmeta (1.1~r235-1) experimental; urgency=low

  * Imported Upstream version 1.1~r235
  * Drop the blank line in debian/watch
  * Use gitweb for Vcs-Browser URL
  * Add "use-system-libs" patch
    * debian/patches/01-use-system-libs.patch:
      - Add "use-system-libs" patch. (forwarded upstream, waiting for
        review).
    * debian/patches/02-configure-drop-svnversion-check.patch:
      - Add "configure-drop-svnversion-check", as the use-system-libs patch
        was applied, we need to reconfig but the configured version which
        gathering from the svnversion is unnecessary.
    * debian/patches/series:
      - Add the patches to the series.
    * debian/control:
      - Add dh-autoreconf, libyaml-dev, pkg-config and check to build-deps.
    * debian/rules:
      - Override the dh_auto_configure to add option --with-system-libs.
  * Update debian copyright to DEP-5 rev 206
    * debian/copyright:
      - Update to DEP-5 rev 206.
      - Update text "Debian GNU/Linux systems" to "Debian systems" in GPL-2+
        license text.
  * Add hardening build flags which getting from dpkg-buildflags

 -- Neutron Soutmun <neo.neutron@gmail.com>  Tue, 22 Nov 2011 15:33:53 +0700

=== debian/control ===
Source: flvmeta
Section: video
Priority: extra
Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
Build-Depends: autotools-dev,
               check,
               debhelper (>= 7.0.50~),
               dh-autoreconf,
               libyaml-dev,
               pkg-config
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/collab-maint/flvmeta.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flvmeta.git
Homepage: http://code.google.com/p/flvmeta/

Package: flvmeta
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Metadata injector for FLV video files
 flvmeta has the ability to inject all standard metadata tags into the
 onMetaData event, as well as insert an onLastSecond event.
 .
 It is also pretty fast and has a very small memory footprint, making it ideal
 for use as an automated tool on server environments.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+bindnow" dpkg-buildflags

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-system-libs $(shell $(dpkg_buildflags) --export=configure)

=== debian/watch ===
version=3
opts=dversionmangle=s/~/-/ \
http://code.google.com/p/flvmeta/downloads/list?can=1 .*/flvmeta-(.*)\.tar.gz debian uupdate

## flvmeta 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,27 +1,30 @@
 cmake_minimum_required(VERSION 2.6)
 project(flvmeta C)
 
-set(FLVMETA_VERSION "1.1")
+set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
-# check whether we're in an instable branch
-string(REGEX MATCH "^[0-9]+\\.([0-9]+)" MATCHES "${FLVMETA_VERSION}")
-if(MATCHES)
-  math(EXPR FLVMETA_MINOR_ODD "${CMAKE_MATCH_1} % 2")
-  if(FLVMETA_MINOR_ODD)
-  # if so, check for svnversion, and retrieve current revision
-    find_program(SVNVERSION_FOUND "svnversion")
-    if(SVNVERSION_FOUND)
-      execute_process(COMMAND           svnversion -n
-                      WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
-                      OUTPUT_VARIABLE   SVNVERSION)
-      string(REGEX MATCH "^[0-9]+$" SVNVERSION_IS_NUMERIC "${SVNVERSION}")
-      if(SVNVERSION_IS_NUMERIC)
-        # if we have a numeric revision, use it as release number
-        set(FLVMETA_VERSION "${FLVMETA_VERSION}-r${SVNVERSION}")
-      endif(SVNVERSION_IS_NUMERIC)
-    endif(SVNVERSION_FOUND)
-  endif(FLVMETA_MINOR_ODD)
-endif(MATCHES)
+set(FLVMETA_VERSION "1.1.1")
+set(FLVMETA_RELEASE yes)
+
+# check whether we are building a release or a git snapshot
+if(NOT FLVMETA_RELEASE)
+  # check for git
+  find_program(GIT "git")
+  mark_as_advanced(GIT)
+  # check whether we are in a git repository
+  find_file(DOT_GIT ".git" ${CMAKE_SOURCE_DIR})
+  mark_as_advanced(DOT_GIT)
+  if(GIT AND DOT_GIT)
+    # retrieve current revision
+    execute_process(
+      COMMAND "${GIT}" rev-parse --short HEAD
+      WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
+      OUTPUT_VARIABLE   GIT_RELEASE
+      OUTPUT_STRIP_TRAILING_WHITESPACE
+    )
+    set(FLVMETA_VERSION "${FLVMETA_VERSION}-g${GIT_RELEASE}")
+  endif(GIT AND DOT_GIT)
+endif(NOT FLVMETA_RELEASE)
 
 # generic variables
 set(PACKAGE           "flvmeta")
@@ -29,6 +32,12 @@
 set(PACKAGE_BUGREPORT "flvmeta-discussion@googlegroups.com")
 set(PACKAGE_VERSION   "${FLVMETA_VERSION}")
 set(PACKAGE_STRING    "${PACKAGE_NAME} ${PACKAGE_VERSION}")
+
+# build options
+set(
+  FLVMETA_USE_SYSTEM_LIBYAML FALSE
+  CACHE BOOL "Link flvmeta to the installed version of libyaml"
+)
 
 #platform tests
 include(CheckFunctionExists)
@@ -69,8 +78,11 @@
 # large file support
 check_function_exists("fseeko" HAVE_FSEEKO)
 if(HAVE_FSEEKO)
-  execute_process(COMMAND getconf LFS_CFLAGS
-    OUTPUT_VARIABLE LFS_CFLAGS)
+  execute_process(
+    COMMAND getconf LFS_CFLAGS
+    OUTPUT_VARIABLE LFS_CFLAGS
+    ERROR_QUIET
+  )
   if(LFS_CFLAGS)
     add_definitions(${LFS_CFLAGS})
   endif(LFS_CFLAGS)
@@ -92,7 +104,10 @@
 
 # installation
 set(CPACK_PACKAGE_VENDOR "Marc Noirot <marc.noirot@gmail.com>")
-set(CPACK_SOURCE_IGNORE_FILES "/build.*;/CVS/;/\\\\.svn/;/\\\\.bzr/;/\\\\.hg/;/\\\\.git/;\\\\.swp$;\\\\.#;/#")
+set(CPACK_PACKAGE_VERSION ${FLVMETA_VERSION})
+set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/COPYING)
+set(CPACK_RESOURCE_FILE_README ${CMAKE_SOURCE_DIR}/README)
+set(CPACK_SOURCE_IGNORE_FILES "/*build*;/CVS/;/\\\\.svn/;/\\\\.bzr/;/\\\\.hg/;/\\\\.git/;\\\\.swp$;\\\\.#;/#")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "flvmeta-${PACKAGE_VERSION}-src")
 
 if(WIN32)
@@ -114,6 +129,7 @@
 include(CPack)
 
 add_subdirectory(src)
+add_subdirectory(man)
 
 # tests
 #enable_testing()

=== man/CMakeLists.txt ===
# test for pandoc availability
if(NOT DEFINED PANDOC)
  message(STATUS "Looking for pandoc")
  find_program(PANDOC pandoc)
  if(PANDOC)
    message(STATUS "Looking for pandoc - found")
  else(PANDOC)
    message(STATUS "Looking for pandoc - not found")
  endif(PANDOC)
  mark_as_advanced(PANDOC)
endif(NOT DEFINED PANDOC)

if(PANDOC)
  set(MAN_SOURCE ${CMAKE_CURRENT_SOURCE_DIR}/flvmeta.1.md)
  set(MAN_OUTPUT_DIR ${CMAKE_BINARY_DIR}/man/man1)
  set(MAN_FILE ${MAN_OUTPUT_DIR}/flvmeta.1)

  # build man file from markdown source
  add_custom_command(
    OUTPUT ${MAN_FILE}
    COMMAND ${CMAKE_COMMAND} -E make_directory ${MAN_OUTPUT_DIR}
    COMMAND ${PANDOC} -s ${MAN_SOURCE} -o ${MAN_FILE}
    MAIN_DEPENDENCY ${MAN_SOURCE}
  )
  
  # add custom target, built by default
  add_custom_target(man ALL
    DEPENDS ${MAN_FILE}
    SOURCES ${MAN_SOURCE}
  )
  
  # install man file on systems having a manual directory
  include(GNUInstallDirs)
  if(CMAKE_INSTALL_MANDIR)
    install(DIRECTORY ${MAN_OUTPUT_DIR}
      DESTINATION ${CMAKE_INSTALL_MANDIR}
    )
  endif(CMAKE_INSTALL_MANDIR)
endif(PANDOC)

=== debian/changelog ===
flvmeta (1.1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1.1 (upload to unstable)
  * Drop d/p/99-fix-spelling-error-in-manpage.patch, merged upstream.
  * Fix watch file, thanks to Bart Martens
  * Update copyright years
  * Make package backports friendly
    * debian/control:
      - Build-dep on debhelper (>=9.20120909~)

 -- Neutron Soutmun <neo.neutron@gmail.com>  Sat, 11 May 2013 10:15:41 +0700

flvmeta (1.1.0-1) experimental; urgency=low

  * Imported Upstream version 1.1.0
  * Upstream change main development repository to github
    * debian/control, debian/copyright:
      - Update Homepage, Source, to flvmeta github repository.
    * debian/watch:
      - Watching the tarball release via githubredir.d.n
    * debian/copyright:
      - Update the copyright format to 1.0, no changes needed.
  * Switch to cmake build system
    * debian/compat: Bump compat level to 9.
    * debian/control:
      - Bump Standards-Version to 3.9.4, no changes needed.
      - Drop autotools-dev, check, dh-autoreconf, pkg-config from build-deps as
        they are no longer needed by the cmake build system.
      - Add cmake to build-deps.
    * debian/rules:
      - Force to use cmake build system as it was requested from upstream.
        (Upstream has a plan to discontinue support autotools build system)
    * debian/patches/90-cmake-use-system-libyaml.patch: Add patch.
  * Use upstream manpage
    * debian/control:
      - Add pandoc to build-deps.
    * debian/manpages, debian/flvmeta.1:
      - Drop, superseded by upstream autogenerated manpage by pandoc
  * Install README.md
  * Add patch to fix spelling error in manpage
    * debian/patches/99-fix-spelling-error-in-manpage.patch:
      - Fix spelling error in manpage

 -- Neutron Soutmun <neo.neutron@gmail.com>  Tue, 02 Oct 2012 14:32:00 +0700

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: video
 Priority: extra
 Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
-Build-Depends: autotools-dev,
-               check,
-               debhelper (>= 7.0.50~),
-               dh-autoreconf,
-               libyaml-dev,
-               pkg-config
-Standards-Version: 3.9.2
+Build-Depends:
+ cmake,
+ debhelper (>= 9.20120909~),
+ libyaml-dev,
+ pandoc
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/collab-maint/flvmeta.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flvmeta.git
-Homepage: http://code.google.com/p/flvmeta/
+Homepage: http://github.com/noirotm/flvmeta
 
 Package: flvmeta
 Architecture: any

## flvmeta 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
-set(FLVMETA_VERSION "1.1.1")
+set(FLVMETA_VERSION "1.1.2")
 set(FLVMETA_RELEASE yes)
 
 # check whether we are building a release or a git snapshot

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -46,23 +46,34 @@
   include_directories(compat)
 endif(WIN32)
 
-# libyaml
-
 # static build
-if (WIN32)
+if(WIN32)
   add_definitions(-DYAML_DECLARE_STATIC)
-endif (WIN32)
-
-include_directories(libyaml)
-add_subdirectory(libyaml)
+endif(WIN32)
 
 add_executable(flvmeta ${flvmeta_src})
-target_link_libraries(flvmeta yaml)
+
+# libyaml
+if(FLVMETA_USE_SYSTEM_LIBYAML)
+  # search for libyaml on the system, link with it
+  find_package(LibYAML REQUIRED)
+  include_directories(${LIBYAML_INCLUDE_DIR})
+  target_link_libraries(flvmeta ${LIBYAML_LIBRARIES})
+else(FLVMETA_USE_SYSTEM_LIBYAML)
+  # use bundled version of libyaml
+  include_directories(libyaml)
+  add_subdirectory(libyaml)
+  target_link_libraries(flvmeta yaml)
+endif(FLVMETA_USE_SYSTEM_LIBYAML)
 
 if(WIN32)
-  install(TARGETS flvmeta
-    RUNTIME DESTINATION .)
+  install(
+    TARGETS flvmeta
+    RUNTIME DESTINATION .
+  )
 else(WIN32)
-  install(TARGETS flvmeta
-    RUNTIME DESTINATION bin)
+  install(
+    TARGETS flvmeta
+    RUNTIME DESTINATION bin
+  )
 endif(WIN32)

=== debian/changelog ===
flvmeta (1.1.2-1) unstable; urgency=low

  * Imported Upstream version 1.1.2
  * Add patch and fix typo
    * debian/patches/91_fix_file_offset_t_printf_format_warning.patch:
      - Add patch to fix the printf format warning of type file_offset_t
    * debian/patches/90-cmake-use-system-libyaml.patch:
      - Fix my lastname typo
  * Fix Vcs-Git field is not canonical

 -- Neutron Soutmun <neo.neutron@gmail.com>  Thu, 15 Aug 2013 09:52:22 +0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libyaml-dev,
  pandoc
 Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/collab-maint/flvmeta.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/flvmeta.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flvmeta.git
 Homepage: http://github.com/noirotm/flvmeta

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake

=== debian/watch ===
version=3
https://github.com/noirotm/flvmeta/tags \
.*/archive/(?:upstream/)?(?:v||version-|release-|X|R)(\d\S*)\.tar\.gz
# Bart Martens <bartm@debian.org>  Wed, 13 Mar 2013 18:38:25 +0000

## flvmeta 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
-set(FLVMETA_VERSION "1.1.2")
+set(FLVMETA_VERSION "1.2.0")
 set(FLVMETA_RELEASE yes)
 
 # check whether we are building a release or a git snapshot
@@ -22,7 +22,7 @@
       OUTPUT_VARIABLE   GIT_RELEASE
       OUTPUT_STRIP_TRAILING_WHITESPACE
     )
-    set(FLVMETA_VERSION "${FLVMETA_VERSION}-g${GIT_RELEASE}")
+    set(FLVMETA_VERSION "${FLVMETA_VERSION}-dev+g${GIT_RELEASE}")
   endif(GIT AND DOT_GIT)
 endif(NOT FLVMETA_RELEASE)
 
@@ -41,6 +41,7 @@
 
 #platform tests
 include(CheckFunctionExists)
+include(CheckSymbolExists)
 include(CheckIncludeFile)
 include(CheckTypeSize)
 include(TestBigEndian)
@@ -53,10 +54,8 @@
 check_type_size("double"      SIZEOF_DOUBLE)
 check_type_size("float"       SIZEOF_FLOAT)
 check_type_size("long double" SIZEOF_LONG_DOUBLE)
-
-if(WIN32)
-  add_definitions(-D_FILE_OFFSET_BITS=64)
-endif(WIN32)
+check_type_size("long"        SIZEOF_LONG)
+check_type_size("long long"   SIZEOF_LONG_LONG)
 
 # MSVC before VS 2010 did not have stdint.h
 if(MSVC AND NOT HAVE_STDINT_H)
@@ -75,6 +74,9 @@
   set(WORDS_BIGENDIAN 1)
 endif(IS_BIGENDIAN)
 
+# C99 isfinite support
+check_symbol_exists("isfinite" math.h HAVE_ISFINITE)
+
 # large file support
 check_function_exists("fseeko" HAVE_FSEEKO)
 if(HAVE_FSEEKO)
@@ -82,10 +84,20 @@
     COMMAND getconf LFS_CFLAGS
     OUTPUT_VARIABLE LFS_CFLAGS
     ERROR_QUIET
+    OUTPUT_STRIP_TRAILING_WHITESPACE
   )
+
   if(LFS_CFLAGS)
     add_definitions(${LFS_CFLAGS})
+    set(CMAKE_REQUIRED_FLAGS ${LFS_CFLAGS})
   endif(LFS_CFLAGS)
+
+  if(WIN32)
+    add_definitions(-D_FILE_OFFSET_BITS=64)
+    set(CMAKE_REQUIRED_FLAGS -D_FILE_OFFSET_BITS=64)
+  endif(WIN32)
+
+  check_type_size("off_t" SIZEOF_OFF_T)
 endif(HAVE_FSEEKO)
 
 # configuration file
@@ -97,7 +109,7 @@
 if(MSVC)
   # use static library
   set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /MT")
-  
+
   # C runtime deprecation in Visual C++ 2005 and later
   add_definitions(-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE)
 endif(MSVC)
@@ -105,8 +117,8 @@
 # installation
 set(CPACK_PACKAGE_VENDOR "Marc Noirot <marc.noirot@gmail.com>")
 set(CPACK_PACKAGE_VERSION ${FLVMETA_VERSION})
-set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/COPYING)
-set(CPACK_RESOURCE_FILE_README ${CMAKE_SOURCE_DIR}/README)
+set(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_SOURCE_DIR}/LICENSE.md)
+set(CPACK_RESOURCE_FILE_README ${CMAKE_SOURCE_DIR}/README.md)
 set(CPACK_SOURCE_IGNORE_FILES "/*build*;/CVS/;/\\\\.svn/;/\\\\.bzr/;/\\\\.hg/;/\\\\.git/;\\\\.swp$;\\\\.#;/#")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "flvmeta-${PACKAGE_VERSION}-src")
 
@@ -119,9 +131,9 @@
 
   set(CPACK_PACKAGE_FILE_NAME "flvmeta-${PACKAGE_VERSION}-win${EXECUTABLE_TYPE}")
   set(CPACK_GENERATOR ZIP)
-  install(FILES ${CMAKE_SOURCE_DIR}/README  DESTINATION . RENAME Readme.txt)
-  install(FILES ${CMAKE_SOURCE_DIR}/COPYING DESTINATION . RENAME License.txt)
-  install(FILES ${CMAKE_SOURCE_DIR}/NEWS    DESTINATION . RENAME Changelog.txt)
+  install(FILES ${CMAKE_SOURCE_DIR}/README.md       DESTINATION . RENAME Readme.txt)
+  install(FILES ${CMAKE_SOURCE_DIR}/LICENSE.md      DESTINATION . RENAME License.txt)
+  install(FILES ${CMAKE_SOURCE_DIR}/CHANGELOG.md    DESTINATION . RENAME Changelog.txt)
 else(WIN32)
   set(CPACK_PACKAGE_FILE_NAME "flvmeta-${PACKAGE_VERSION}")
 endif(WIN32)
@@ -131,6 +143,13 @@
 add_subdirectory(src)
 add_subdirectory(man)
 
-# tests
-#enable_testing()
-#add_subdirectory(tests)
+# check unit testing framework
+find_package(Check)
+
+# Enable unit testing if Check has been found
+if(CHECK_FOUND)
+  # tests
+  enable_testing()
+
+  add_subdirectory(tests)
+endif(CHECK_FOUND)

=== debian/changelog ===
flvmeta (1.2.0-1) unstable; urgency=medium

  * Imported Upstream version 1.2.0
  * Drop d/p/91_fix_file_offset_t_printf_format_warning.patch:
    * Drop patch, the better solution fixed by upstream
  * debian/docs: Drop files, removed upstream.
  * debian/control: Update
    * Change my email to neutrons@debian.org
    * Bump Standards-Version to 3.9.8, no changes needed
    * Update Vcs-* with secure uri
  * d/p/fix-manpage-spelling-errors.patch: Fix manpage spelling errors

 -- Neutron Soutmun <neutrons@debian.org>  Mon, 08 Aug 2016 14:05:21 +0700

## flvmeta 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
-set(FLVMETA_VERSION "1.2.0")
+set(FLVMETA_VERSION "1.2.1")
 set(FLVMETA_RELEASE yes)
 
 # check whether we are building a release or a git snapshot

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -40,8 +40,6 @@
     compat/getopt.c
     compat/getopt.h
     compat/gettext.h
-    compat/win32_tmpfile.c
-    compat/win32_tmpfile.h
   )
   include_directories(compat)
 endif(WIN32)

=== tests/CMakeLists.txt ===
# unit tests
include_directories(BEFORE ${CHECK_INCLUDE_DIR} ${CMAKE_SOURCE_DIR})

add_executable(check_flvmeta
  check_flvmeta.c
  check_flv.c
  check_amf.c

  ${CMAKE_SOURCE_DIR}/src/amf.c
  ${CMAKE_SOURCE_DIR}/src/flv.c
  ${CMAKE_SOURCE_DIR}/src/types.c
)
target_link_libraries(check_flvmeta ${CHECK_LIBRARIES} pthread)

add_test(check_flvmeta ${CMAKE_CURRENT_BINARY_DIR}/check_flvmeta)

=== debian/changelog ===
flvmeta (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Drop d/p/fix-manpage-spelling-errors.patch, Merged upstream.

 -- Neutron Soutmun <neutrons@debian.org>  Sun, 02 Oct 2016 09:44:23 +0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: flvmeta
 Section: video
 Priority: extra
-Maintainer: Neutron Soutmun <neo.neutron@gmail.com>
+Maintainer: Neutron Soutmun <neutrons@debian.org>
 Build-Depends:
  cmake,
  debhelper (>= 9.20120909~),
  libyaml-dev,
  pandoc
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/collab-maint/flvmeta.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flvmeta.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/flvmeta.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flvmeta.git
 Homepage: http://github.com/noirotm/flvmeta
 
 Package: flvmeta

## flvmeta 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
-set(FLVMETA_VERSION "1.2.1")
+set(FLVMETA_VERSION "1.2.2")
 set(FLVMETA_RELEASE yes)
 
 # check whether we are building a release or a git snapshot
@@ -148,8 +148,15 @@
 
 # Enable unit testing if Check has been found
 if(CHECK_FOUND)
-  # tests
-  enable_testing()
+  set(CMAKE_REQUIRED_INCLUDES ${CHECK_INCLUDE_DIRS})
+  set(CMAKE_REQUIRED_LIBRARIES ${CHECK_LIBRARIES})
+  set(CMAKE_REQUIRED_FLAGS -L${CHECK_LIBRARY_DIRS})
+  check_symbol_exists(ck_assert_double_eq check.h HAVE_CK_ASSERT_DOUBLE_EQ)
 
-  add_subdirectory(tests)
+  if(HAVE_CK_ASSERT_DOUBLE_EQ)
+    # tests
+    enable_testing()
+
+    add_subdirectory(tests)
+  endif(HAVE_CK_ASSERT_DOUBLE_EQ)
 endif(CHECK_FOUND)

=== man/CMakeLists.txt ===
--- 
+++ 
@@ -31,9 +31,9 @@
   
   # install man file on systems having a manual directory
   include(GNUInstallDirs)
-  if(CMAKE_INSTALL_MANDIR)
+  if(CMAKE_INSTALL_MANDIR AND NOT WIN32)
     install(DIRECTORY ${MAN_OUTPUT_DIR}
       DESTINATION ${CMAKE_INSTALL_MANDIR}
     )
-  endif(CMAKE_INSTALL_MANDIR)
+  endif(CMAKE_INSTALL_MANDIR AND NOT WIN32)
 endif(PANDOC)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -55,11 +55,11 @@
 if(FLVMETA_USE_SYSTEM_LIBYAML)
   # search for libyaml on the system, link with it
   find_package(LibYAML REQUIRED)
-  include_directories(${LIBYAML_INCLUDE_DIR})
+  target_include_directories(flvmeta PRIVATE ${LIBYAML_INCLUDE_DIR})
   target_link_libraries(flvmeta ${LIBYAML_LIBRARIES})
 else(FLVMETA_USE_SYSTEM_LIBYAML)
   # use bundled version of libyaml
-  include_directories(libyaml)
+  target_include_directories(flvmeta PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/libyaml)
   add_subdirectory(libyaml)
   target_link_libraries(flvmeta yaml)
 endif(FLVMETA_USE_SYSTEM_LIBYAML)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 # unit tests
-include_directories(BEFORE ${CHECK_INCLUDE_DIR} ${CMAKE_SOURCE_DIR})
+include_directories(BEFORE ${CHECK_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR})
+link_directories(${CHECK_LIBRARY_DIRS})
 
 add_executable(check_flvmeta
   check_flvmeta.c

=== src/libyaml/CMakeLists.txt ===
set(LIBYAML_SRC
  api.c
  config.h
  dumper.c
  emitter.c
  loader.c
  parser.c
  reader.c
  scanner.c
  writer.c
  yaml.h
  yaml_private.h
)

include_directories(BEFORE ${CMAKE_SOURCE_DIR}/src/libyaml)

add_library(yaml STATIC ${LIBYAML_SRC})

=== debian/changelog ===
flvmeta (1.2.2-2~exp1) experimental; urgency=medium

  * Update debian/gbp.conf
    * Update default configuration:
      * debian-branch = debian/latest
      * upstream-branch = upstream/latest
    * Update buildpackage configuration:
      * pbuilder-options = --source-only-changes
  * Update watch file with version 5 format
  * Update debian/control
    * Remove redundant Rules-Requires-Root,
      this field is set to "no" by default.
    * Bump Standards-Version to 4.7.2, no changes.
  * Update debian/copyright
    * Update old FSF address by refer to
      https://www.gnu.org/licenses/ instead of physical address.
    * Update maintainer's copyright year and email
  * Update cmake minimum version
    * debian/rules:
      * Update cmake minimum version to 3.5, Closes: 1112924

 -- Neutron Soutmun <neutrons@debian.org>  Sun, 21 Sep 2025 14:39:09 +0700

flvmeta (1.2.2-1) unstable; urgency=medium

  * Team upload of Debian team.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ наб ]
  * New upstream version 1.2.2
    Closes: #1038977, #1072292
    CVE-2023-36243
  * d/watch: fix
  * .gbp.conf (deprecated) => debian/gbp.conf
  * Replace d/p/90-cmake-use-system-libyaml.patch
    with -DFLVMETA_USE_SYSTEM_LIBYAML=TRUE
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Priority: extra -> optional
    (priority-extra-is-replaced-by-priority-optional)
  * d/copyright: fix

  [ Andreas Tille ]
  * Use secure URI in Homepage field.

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 13 Nov 2024 14:25:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: flvmeta
 Section: video
-Priority: extra
+Priority: optional
 Maintainer: Neutron Soutmun <neutrons@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 9.20120909~),
+ debhelper-compat (= 13),
  libyaml-dev,
  pandoc
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/flvmeta.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/flvmeta.git
-Homepage: http://github.com/noirotm/flvmeta
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/debian/flvmeta.git
+Vcs-Browser: https://salsa.debian.org/debian/flvmeta
+Homepage: https://github.com/noirotm/flvmeta
 
 Package: flvmeta
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

override_dh_auto_configure:
	dh_auto_configure -- -DFLVMETA_USE_SYSTEM_LIBYAML=TRUE -DCMAKE_POLICY_VERSION_MINIMUM=3.5

%:
	dh $@ --buildsystem=cmake

=== debian/watch ===
Version: 5
Template: Github
Owner: noirotm
Project: flvmeta
